org.apache.jmeter.extractor

## Class JSoupExtractor

- java.lang.Object
- - org.apache.jmeter.extractor.JSoupExtractor

- All Implemented Interfaces:
    java.io.Serializable, Extractor

      public class JSoupExtractor
      extends java.lang.Object
      implements Extractor

  JSoup based CSS/JQuery extractor see http://jsoup.org/cookbook/extracting-data/selector-syntax
  Since:
    2.9
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSoupExtractor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `extract(java.lang.String expression, java.lang.String attribute, int matchNumber, java.lang.String inputString, java.util.List<java.lang.String> result, int found, java.lang.String cacheKey)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JSoupExtractor

          public JSoupExtractor()

  - ### Method Detail

    - #### extract

          public int extract(java.lang.String expression,
                             java.lang.String attribute,
                             int matchNumber,
                             java.lang.String inputString,
                             java.util.List<java.lang.String> result,
                             int found,
                             java.lang.String cacheKey)

      Specified by:
        `extract` in interface `Extractor`
      Parameters:
        `expression` - Expression used for extraction of nodes
        `attribute` - Attribute name to return
        `matchNumber` - Match number
        `inputString` - Page or excerpt
        `result` - List of results
        `found` - current matches found
        `cacheKey` - If not null, the implementation is encouraged to cache parsing result and use this key as part of cache key
      Returns:
        match found updated
      See Also:
        `Extractor.extract(String, String, int, String, List, int, String)`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.